<!DOCTYPE html>
<html class="" lang="en">
<head prefix="og: http://ogp.me/ns#">
<meta charset="utf-8">
<link href="https://assets.gitlab-static.net" rel="dns-prefetch">
<link crossorigin="" href="https://assets.gitlab-static.net" rel="preconnnect">
<meta content="IE=edge" http-equiv="X-UA-Compatible">
<meta content="object" property="og:type">
<meta content="GitLab" property="og:site_name">
<meta content="[Suggestion] [XSS/MOBA Branch] Removal of Sentries and other defensive emplacements (#10634) · Issues · CM Devs / ColonialMarines" property="og:title">
<meta content="#### Details Remove sentries, flags and other defensive emplacements excepting cade upgrades from the new structures update. #### Benefits Sentries and flags cause monumental amounts of lag which is reason..." property="og:description">
<meta content="/uploads/-/system/project/avatar/1649459/123.png" property="og:image">
<meta content="64" property="og:image:width">
<meta content="64" property="og:image:height">
<meta content="https://gitlab.com/cmdevs/ColonialMarines/-/issues/10634" property="og:url">
<meta content="summary" property="twitter:card">
<meta content="[Suggestion] [XSS/MOBA Branch] Removal of Sentries and other defensive emplacements (#10634) · Issues · CM Devs / ColonialMarines" property="twitter:title">
<meta content="#### Details Remove sentries, flags and other defensive emplacements excepting cade upgrades from the new structures update. #### Benefits Sentries and flags cause monumental amounts of lag which is reason..." property="twitter:description">
<meta content="/uploads/-/system/project/avatar/1649459/123.png" property="twitter:image">
<meta property="twitter:label1" content="Author" /><meta property="twitter:data1" content="Destrok" />
<title>[Suggestion] [XSS/MOBA Branch] Removal of Sentries and other defensive emplacements (#10634) · Issues · CM Devs / ColonialMarines · GitLab</title>
<meta content="#### Details Remove sentries, flags and other defensive emplacements excepting cade upgrades from the new structures update. #### Benefits Sentries and flags cause monumental amounts of lag which is reason..." name="description">
<link rel="shortcut icon" type="image/png" href="https://gitlab.com/assets/favicon-7901bd695fb93edb07975966062049829afb56cf11511236e61bcf425070e36e.png" id="favicon" data-original-href="https://gitlab.com/assets/favicon-7901bd695fb93edb07975966062049829afb56cf11511236e61bcf425070e36e.png" />
<link rel="stylesheet" media="all" href="https://assets.gitlab-static.net/assets/application-2c6a88289ad593f97c8997881c2e0cf4bba55de92e15615ef6bb9fa86d75292c.css" />
<link rel="stylesheet" media="print" href="https://assets.gitlab-static.net/assets/print-74c3df10dad473d66660c828e3aa54ca3bfeac6d8bb708643331403fe7211e60.css" />


<link rel="stylesheet" media="all" href="https://assets.gitlab-static.net/assets/highlight/themes/white-a20fa0d18cb98944b079c02ad5a6f46cb362f986ffd703fda24b3e8e2a4a8874.css" />
<script nonce="LcG7h8Y/ZlW159WaiT6J1w==">
//<![CDATA[
window.gon={};gon.features={"scopedLabels":true,"vueIssuableSidebar":false,"saveIssuableHealthStatus":false};
//]]>
</script>

<script src="https://assets.gitlab-static.net/assets/webpack/runtime.d0620745.bundle.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/main.0d1b5b0f.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/sentry.64807700.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/commons~pages.admin.clusters~pages.admin.clusters.destroy~pages.admin.clusters.edit~pages.admin.clus~d2c5d9a5.5f6bfee9.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/commons~pages.admin.audit_logs~pages.admin.impersonation_tokens~pages.analytics.cycle_analytics~page~13210ccd.40e88b63.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/pages.projects.issues.show.0e4d4d55.chunk.js" defer="defer"></script>

<meta name="csrf-param" content="authenticity_token" />
<meta name="csrf-token" content="cGb9BOMF0SPFIhM+XM69VdWG8oBM5i72Y0YeRprw7piWavqldijmqov82Lh1q4mwGxmqKI7GAy0RQfE7RxDkIA==" />
<meta name="csp-nonce" content="LcG7h8Y/ZlW159WaiT6J1w==" />
<meta content="origin-when-cross-origin" name="referrer">
<meta content="width=device-width, initial-scale=1, maximum-scale=1" name="viewport">
<meta content="#474D57" name="theme-color">
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-iphone-5a9cee0e8a51212e70b90c87c12f382c428870c0ff67d1eb034d884b78d2dae7.png" />
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-ipad-a6eec6aeb9da138e507593b464fdac213047e49d3093fc30e90d9a995df83ba3.png" sizes="76x76" />
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-iphone-retina-72e2aadf86513a56e050e7f0f2355deaa19cc17ed97bbe5147847f2748e5a3e3.png" sizes="120x120" />
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-ipad-retina-8ebe416f5313483d9c1bc772b5bbe03ecad52a54eba443e5215a22caed2a16a2.png" sizes="152x152" />
<link color="rgb(226, 67, 41)" href="https://assets.gitlab-static.net/assets/logo-d36b5212042cebc89b96df4bf6ac24e43db316143e89926c0db839ff694d2de4.svg" rel="mask-icon">
<meta content="https://assets.gitlab-static.net/assets/msapplication-tile-1196ec67452f618d39cdd85e2e3a542f76574c071051ae7effbfde01710eb17d.png" name="msapplication-TileImage">
<meta content="#30353E" name="msapplication-TileColor">



<script nonce="LcG7h8Y/ZlW159WaiT6J1w==">
//<![CDATA[
;(function(p,l,o,w,i,n,g){if(!p[i]){p.GlobalSnowplowNamespace=p.GlobalSnowplowNamespace||[];
p.GlobalSnowplowNamespace.push(i);p[i]=function(){(p[i].q=p[i].q||[]).push(arguments)
};p[i].q=p[i].q||[];n=l.createElement(o);g=l.getElementsByTagName(o)[0];n.async=1;
n.src=w;g.parentNode.insertBefore(n,g)}}(window,document,"script","https://assets.gitlab-static.net/assets/snowplow/sp-e10fd598642f1a4dd3e9e0e026f6a1ffa3c31b8a40efd92db3f92d32873baed6.js","snowplow"));

window.snowplowOptions = {"namespace":"gl","hostname":"snowplow.trx.gitlab.net","cookieDomain":".gitlab.com","appId":"gitlab","formTracking":true,"linkClickTracking":true,"igluRegistryUrl":null}


//]]>
</script>
</head>

<body class="ui-indigo tab-width-8  gl-browser-generic gl-platform-other" data-find-file="/cmdevs/ColonialMarines/-/find_file/dev" data-group="" data-namespace-id="852026" data-page="projects:issues:show" data-page-type-id="10634" data-project="ColonialMarines" data-project-id="1649459">
<script nonce="LcG7h8Y/ZlW159WaiT6J1w==">
//<![CDATA[
gl = window.gl || {};
gl.GfmAutoComplete = gl.GfmAutoComplete || {};
gl.GfmAutoComplete.dataSources = {"members":"/cmdevs/ColonialMarines/-/autocomplete_sources/members?type=Issue\u0026type_id=10634","issues":"/cmdevs/ColonialMarines/-/autocomplete_sources/issues","mergeRequests":"/cmdevs/ColonialMarines/-/autocomplete_sources/merge_requests","labels":"/cmdevs/ColonialMarines/-/autocomplete_sources/labels?type=Issue\u0026type_id=10634","milestones":"/cmdevs/ColonialMarines/-/autocomplete_sources/milestones","commands":"/cmdevs/ColonialMarines/-/autocomplete_sources/commands?type=Issue\u0026type_id=10634","snippets":"/cmdevs/ColonialMarines/-/autocomplete_sources/snippets"};


//]]>
</script>
<script nonce="LcG7h8Y/ZlW159WaiT6J1w==">
//<![CDATA[
gl = window.gl || {};
gl.client = {"isGeneric":true,"isOther":true};


//]]>
</script>


<header class="navbar navbar-gitlab navbar-expand-sm js-navbar" data-qa-selector="navbar">
<a class="sr-only gl-accessibility" href="#content-body" tabindex="1">Skip to content</a>
<div class="container-fluid">
<div class="header-content">
<div class="title-container">
<h1 class="title">
<a title="Dashboard" id="logo" href="/"><svg width="24" height="24" class="tanuki-logo" viewBox="0 0 36 36">
  <path class="tanuki-shape tanuki-left-ear" fill="#e24329" d="M2 14l9.38 9v-9l-4-12.28c-.205-.632-1.176-.632-1.38 0z"/>
  <path class="tanuki-shape tanuki-right-ear" fill="#e24329" d="M34 14l-9.38 9v-9l4-12.28c.205-.632 1.176-.632 1.38 0z"/>
  <path class="tanuki-shape tanuki-nose" fill="#e24329" d="M18,34.38 3,14 33,14 Z"/>
  <path class="tanuki-shape tanuki-left-eye" fill="#fc6d26" d="M18,34.38 11.38,14 2,14 6,25Z"/>
  <path class="tanuki-shape tanuki-right-eye" fill="#fc6d26" d="M18,34.38 24.62,14 34,14 30,25Z"/>
  <path class="tanuki-shape tanuki-left-cheek" fill="#fca326" d="M2 14L.1 20.16c-.18.565 0 1.2.5 1.56l17.42 12.66z"/>
  <path class="tanuki-shape tanuki-right-cheek" fill="#fca326" d="M34 14l1.9 6.16c.18.565 0 1.2-.5 1.56L18 34.38z"/>
</svg>

<span class="logo-text d-none d-lg-block prepend-left-8">
<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 617 169"><path d="M315.26 2.97h-21.8l.1 162.5h88.3v-20.1h-66.5l-.1-142.4M465.89 136.95c-5.5 5.7-14.6 11.4-27 11.4-16.6 0-23.3-8.2-23.3-18.9 0-16.1 11.2-23.8 35-23.8 4.5 0 11.7.5 15.4 1.2v30.1h-.1m-22.6-98.5c-17.6 0-33.8 6.2-46.4 16.7l7.7 13.4c8.9-5.2 19.8-10.4 35.5-10.4 17.9 0 25.8 9.2 25.8 24.6v7.9c-3.5-.7-10.7-1.2-15.1-1.2-38.2 0-57.6 13.4-57.6 41.4 0 25.1 15.4 37.7 38.7 37.7 15.7 0 30.8-7.2 36-18.9l4 15.9h15.4v-83.2c-.1-26.3-11.5-43.9-44-43.9M557.63 149.1c-8.2 0-15.4-1-20.8-3.5V70.5c7.4-6.2 16.6-10.7 28.3-10.7 21.1 0 29.2 14.9 29.2 39 0 34.2-13.1 50.3-36.7 50.3m9.2-110.6c-19.5 0-30 13.3-30 13.3v-21l-.1-27.8h-21.3l.1 158.5c10.7 4.5 25.3 6.9 41.2 6.9 40.7 0 60.3-26 60.3-70.9-.1-35.5-18.2-59-50.2-59M77.9 20.6c19.3 0 31.8 6.4 39.9 12.9l9.4-16.3C114.5 6 97.3 0 78.9 0 32.5 0 0 28.3 0 85.4c0 59.8 35.1 83.1 75.2 83.1 20.1 0 37.2-4.7 48.4-9.4l-.5-63.9V75.1H63.6v20.1h38l.5 48.5c-5 2.5-13.6 4.5-25.3 4.5-32.2 0-53.8-20.3-53.8-63-.1-43.5 22.2-64.6 54.9-64.6M231.43 2.95h-21.3l.1 27.3v94.3c0 26.3 11.4 43.9 43.9 43.9 4.5 0 8.9-.4 13.1-1.2v-19.1c-3.1.5-6.4.7-9.9.7-17.9 0-25.8-9.2-25.8-24.6v-65h35.7v-17.8h-35.7l-.1-38.5M155.96 165.47h21.3v-124h-21.3v124M155.96 24.37h21.3V3.07h-21.3v21.3"/></svg>

</span>
</a></h1>
<ul class="list-unstyled navbar-sub-nav">
<li class="home"><a title="Projects" class="dashboard-shortcuts-projects" href="/explore">Projects
</a></li><li class=""><a title="Groups" class="dashboard-shortcuts-groups" href="/explore/groups">Groups
</a></li><li class=""><a title="Snippets" class="dashboard-shortcuts-snippets" href="/explore/snippets">Snippets
</a></li><li>
<a title="About GitLab CE" href="/help">Help</a>
</li>
</ul>

</div>
<div class="navbar-collapse collapse">
<ul class="nav navbar-nav">
<li class="nav-item d-none d-lg-block m-auto">
<div class="search search-form" data-track-event="activate_form_input" data-track-label="navbar_search" data-track-value="">
<form class="form-inline" action="/search" accept-charset="UTF-8" method="get"><input name="utf8" type="hidden" value="&#x2713;" /><div class="search-input-container">
<div class="search-input-wrap">
<div class="dropdown" data-url="/search/autocomplete">
<input type="search" name="search" id="search" placeholder="Search or jump to…" class="search-input dropdown-menu-toggle no-outline js-search-dashboard-options" spellcheck="false" tabindex="1" autocomplete="off" data-issues-path="/dashboard/issues" data-mr-path="/dashboard/merge_requests" data-qa-selector="search_term_field" aria-label="Search or jump to…" />
<button class="hidden js-dropdown-search-toggle" data-toggle="dropdown" type="button"></button>
<div class="dropdown-menu dropdown-select js-dashboard-search-options">
<div class="dropdown-content"><ul>
<li class="dropdown-menu-empty-item">
<a>
Loading...
</a>
</li>
</ul>
</div><div class="dropdown-loading"><i aria-hidden="true" data-hidden="true" class="fa fa-spinner fa-spin"></i></div>
</div>
<svg class="s16 search-icon"><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#search"></use></svg>
<svg class="s16 clear-icon js-clear-input"><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#close"></use></svg>
</div>
</div>
</div>
<input type="hidden" name="group_id" id="group_id" class="js-search-group-options" />
<input type="hidden" name="project_id" id="search_project_id" value="1649459" class="js-search-project-options" data-project-path="ColonialMarines" data-name="ColonialMarines" data-issues-path="/cmdevs/ColonialMarines/-/issues" data-mr-path="/cmdevs/ColonialMarines/-/merge_requests" data-issues-disabled="false" />
<input type="hidden" name="scope" id="scope" value="issues" />
<input type="hidden" name="repository_ref" id="repository_ref" />
<input type="hidden" name="nav_source" id="nav_source" value="navbar" />
<div class="search-autocomplete-opts hide" data-autocomplete-path="/search/autocomplete" data-autocomplete-project-id="1649459"></div>
</form></div>

</li>
<li class="nav-item d-inline-block d-lg-none">
<a title="Search" aria-label="Search" data-toggle="tooltip" data-placement="bottom" data-container="body" href="/search?project_id=1649459"><svg class="s16"><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#search"></use></svg>
</a></li>
<li class="nav-item header-help dropdown d-none d-md-block">
<a class="header-help-dropdown-toggle" data-toggle="dropdown" href="/help"><svg class="s16"><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#question"></use></svg>
<svg class="caret-down"><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#angle-down"></use></svg>
</a><div class="dropdown-menu dropdown-menu-right">
<ul>
<li>
<a href="/help">Help</a>
</li>
<li>
<a href="https://about.gitlab.com/getting-help/">Support</a>
</li>
<li>
<button class="js-shortcuts-modal-trigger" type="button">
Keyboard shortcuts
<span aria-hidden class="text-secondary float-right">?</span>
</button>
</li>

<li class="divider"></li>
<li>
<a href="https://about.gitlab.com/submit-feedback">Submit feedback</a>
</li>
<li>
<a target="_blank" class="text-nowrap" href="https://about.gitlab.com/contributing">Contribute to GitLab
</a>

</li>

<li>
<a href="https://next.gitlab.com/">Switch to GitLab Next</a>
</li>
</ul>

</div>
</li>
<li class="nav-item">
<div>
<a class="btn btn-sign-in" href="/users/sign_in?redirect_to_referer=yes">Sign in / Register</a>
</div>
</li>
</ul>
</div>
<button class="navbar-toggler d-block d-sm-none" type="button">
<span class="sr-only">Toggle navigation</span>
<svg class="s12 more-icon js-navbar-toggle-right"><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#ellipsis_h"></use></svg>
<svg class="s12 close-icon js-navbar-toggle-left"><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#close"></use></svg>
</button>
</div>
</div>
</header>

<div class="layout-page page-gutter page-with-contextual-sidebar right-sidebar-expanded">
<div class="nav-sidebar">
<div class="nav-sidebar-inner-scroll">
<div class="context-header">
<a title="ColonialMarines" href="/cmdevs/ColonialMarines"><div class="avatar-container rect-avatar s40 project-avatar">
<img alt="ColonialMarines" class="avatar s40 avatar-tile lazy" width="40" height="40" data-src="https://assets.gitlab-static.net/uploads/-/system/project/avatar/1649459/123.png" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" />
</div>
<div class="sidebar-context-title">
ColonialMarines
</div>
</a></div>
<ul class="sidebar-top-level-items qa-project-sidebar">
<li class="home"><a class="shortcuts-project rspec-project-link" data-qa-selector="project_link" href="/cmdevs/ColonialMarines"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#home"></use></svg>
</div>
<span class="nav-item-name">
Project overview
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/cmdevs/ColonialMarines"><strong class="fly-out-top-item-name">
Project overview
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="Project details" class="shortcuts-project" href="/cmdevs/ColonialMarines"><span>Details</span>
</a></li><li class=""><a title="Activity" class="shortcuts-project-activity" data-qa-selector="activity_link" href="/cmdevs/ColonialMarines/activity"><span>Activity</span>
</a></li></ul>
</li><li class="active"><a class="shortcuts-issues qa-issues-item" href="/cmdevs/ColonialMarines/-/issues"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#issues"></use></svg>
</div>
<span class="nav-item-name" id="js-onboarding-issues-link">
Issues
</span>
<span class="badge badge-pill count issue_counter">
640
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/cmdevs/ColonialMarines/-/issues"><strong class="fly-out-top-item-name">
Issues
</strong>
<span class="badge badge-pill count issue_counter fly-out-badge">
640
</span>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="Issues" href="/cmdevs/ColonialMarines/-/issues"><span>
List
</span>
</a></li><li class=""><a title="Boards" data-qa-selector="issue_boards_link" href="/cmdevs/ColonialMarines/-/boards"><span>
Boards
</span>
</a></li><li class=""><a title="Labels" class="qa-labels-link" href="/cmdevs/ColonialMarines/-/labels"><span>
Labels
</span>
</a></li><li class=""><a title="Service Desk" href="/cmdevs/ColonialMarines/-/issues/service_desk">Service Desk
</a></li>
<li class=""><a title="Milestones" class="qa-milestones-link" href="/cmdevs/ColonialMarines/-/milestones"><span>
Milestones
</span>
</a></li></ul>
</li>


<li class=""><a href="/cmdevs/ColonialMarines/insights/"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#chart"></use></svg>
</div>
<span class="nav-item-name" data-qa-selector="analytics_link">
Analytics
</span>
</a><ul class="sidebar-sub-level-items" data-qa-selector="analytics_sidebar_submenu">
<li class="fly-out-top-item"><a href="/cmdevs/ColonialMarines/insights/"><strong class="fly-out-top-item-name">
Analytics
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a class="shortcuts-project-insights" data-qa-selector="project_insights_link" title="Insights" href="/cmdevs/ColonialMarines/insights/"><span>Insights</span>
</a></li><li class=""><a title="Issues" href="/cmdevs/ColonialMarines/-/analytics/issues_analytics"><span>Issues</span>
</a></li><li class=""><a class="shortcuts-repository-charts" title="Repository" href="/cmdevs/ColonialMarines/-/graphs/dev/charts"><span>Repository</span>
</a></li><li class=""><a class="shortcuts-project-cycle-analytics" title="Value Stream" href="/cmdevs/ColonialMarines/-/value_stream_analytics"><span>Value Stream</span>
</a></li></ul>
</li>
<li class=""><a class="shortcuts-wiki" data-qa-selector="wiki_link" href="/cmdevs/ColonialMarines/-/wikis/home"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#book"></use></svg>
</div>
<span class="nav-item-name">
Wiki
</span>
</a><ul class="sidebar-sub-level-items is-fly-out-only">
<li class="fly-out-top-item"><a href="/cmdevs/ColonialMarines/-/wikis/home"><strong class="fly-out-top-item-name">
Wiki
</strong>
</a></li></ul>
</li><li class=""><a title="Members" class="shortcuts-tree" href="/cmdevs/ColonialMarines/-/settings/members"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#users"></use></svg>
</div>
<span class="nav-item-name">
Members
</span>
</a><ul class="sidebar-sub-level-items is-fly-out-only">
<li class="fly-out-top-item"><a href="/cmdevs/ColonialMarines/-/project_members"><strong class="fly-out-top-item-name">
Members
</strong>
</a></li></ul>
</li><a class="toggle-sidebar-button js-toggle-sidebar qa-toggle-sidebar rspec-toggle-sidebar" role="button" title="Toggle sidebar" type="button">
<svg class="icon-angle-double-left"><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#angle-double-left"></use></svg>
<svg class="icon-angle-double-right"><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#angle-double-right"></use></svg>
<span class="collapse-text">Collapse sidebar</span>
</a>
<button name="button" type="button" class="close-nav-button"><svg class="s16"><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#close"></use></svg>
<span class="collapse-text">Close sidebar</span>
</button>
<li class="hidden">
<a title="Activity" class="shortcuts-project-activity" href="/cmdevs/ColonialMarines/activity"><span>
Activity
</span>
</a></li>
<li class="hidden">
<a class="shortcuts-new-issue" href="/cmdevs/ColonialMarines/-/issues/new">Create a new issue
</a></li>
<li class="hidden">
<a title="Issue Boards" class="shortcuts-issue-boards" href="/cmdevs/ColonialMarines/-/boards">Issue Boards</a>
</li>
</ul>
</div>
</div>

<div class="content-wrapper">
<div class="mobile-overlay"></div>
<div class="alert-wrapper">









<nav class="breadcrumbs container-fluid container-limited limit-container-width" role="navigation">
<div class="breadcrumbs-container">
<button name="button" type="button" class="toggle-mobile-nav"><span class="sr-only">Open sidebar</span>
<i aria-hidden="true" data-hidden="true" class="fa fa-bars"></i>
</button><div class="breadcrumbs-links js-title-container" data-qa-selector="breadcrumb_links_content">
<ul class="list-unstyled breadcrumbs-list js-breadcrumbs-list">
<li><a class="group-path breadcrumb-item-text js-breadcrumb-item-text " href="/cmdevs">CM Devs</a><svg class="s8 breadcrumbs-list-angle"><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#angle-right"></use></svg></li> <li><a href="/cmdevs/ColonialMarines"><img alt="ColonialMarines" class="avatar-tile lazy" width="15" height="15" data-src="https://assets.gitlab-static.net/uploads/-/system/project/avatar/1649459/123.png" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" /><span class="breadcrumb-item-text js-breadcrumb-item-text">ColonialMarines</span></a><svg class="s8 breadcrumbs-list-angle"><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#angle-right"></use></svg></li>
<li><a href="/cmdevs/ColonialMarines/-/issues">Issues</a><svg class="s8 breadcrumbs-list-angle"><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#angle-right"></use></svg></li>

<li>
<h2 class="breadcrumbs-sub-title"><a href="/cmdevs/ColonialMarines/-/issues/10634">#10634</a></h2>
</li>
</ul>
</div>

</div>
</nav>

<div class="d-flex"></div>
</div>
<div class="container-fluid container-limited limit-container-width">
<div class="content" id="content-body">
<div class="flash-container flash-container-page sticky">
</div>

<div class="detail-page-header">
<div class="detail-page-header-body">
<div class="hidden issuable-status-box status-box status-box-issue-closed">
<svg class="s16 d-block d-sm-none"><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#mobile-issue-close"></use></svg>
<div class="d-none d-sm-block">
Closed
</div>
</div>
<div class="issuable-status-box status-box status-box-open">
<svg class="s16 d-block d-sm-none"><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#issue-open-m"></use></svg>
<span class="d-none d-sm-block">Open</span>
</div>
<div class="issuable-meta">
Opened <time class="js-timeago" title="Mar 27, 2020 8:51pm" datetime="2020-03-27T20:51:07Z" data-toggle="tooltip" data-placement="top" data-container="body">Mar 27, 2020</time> by <strong><a class="author-link js-user-link  d-none d-sm-inline" data-user-id="4704022" data-username="Destrok" data-name="Destrok" href="/Destrok"><img width="24" class="avatar avatar-inline s24 lazy" alt="" data-src="https://secure.gravatar.com/avatar/7fc94fff948924f749e3594df4260bd4?s=48&amp;d=identicon" data-src="https://secure.gravatar.com/avatar/7fc94fff948924f749e3594df4260bd4?s=48&amp;d=identicon" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" /><span class="author">Destrok</span></a><a class="author-link js-user-link  d-inline d-sm-none" data-user-id="4704022" data-username="Destrok" data-name="Destrok" href="/Destrok"><span class="author">@Destrok</span></a></strong><span class="has-tooltip prepend-left-4" title="1st contribution!"></span><span id="task_status" class="d-none d-sm-none d-md-inline-block prepend-left-8"></span><span id="task_status_short" class="d-md-none"></span>
</div>
<a class="btn btn-default float-right d-block d-sm-none gutter-toggle issuable-gutter-toggle js-sidebar-toggle" href="#">
<i aria-hidden="true" data-hidden="true" class="fa fa-angle-double-left"></i>
</a>
</div>
<div class="detail-page-header-actions js-issuable-actions">
<div class="clearfix issue-btn-group dropdown">
<button class="btn btn-default float-left d-md-none d-lg-none d-xl-none" data-toggle="dropdown" type="button">
Options
<i aria-hidden="true" data-hidden="true" class="fa fa-caret-down"></i>
</button>
<div class="dropdown-menu dropdown-menu-right d-lg-none d-xl-none">
<ul>
<li><a href="/abuse_reports/new?ref_url=https%3A%2F%2Fgitlab.com%2Fcmdevs%2FColonialMarines%2F-%2Fissues%2F10634&amp;user_id=4704022">Report abuse</a></li>
<li><a title="New issue" id="new_issue_link" href="/cmdevs/ColonialMarines/-/issues/new">New issue</a></li>
</ul>
</div>
</div>
<a class="d-none d-sm-none d-md-block btn btn-grouped btn-close-color" title="Report abuse" href="/abuse_reports/new?ref_url=https%3A%2F%2Fgitlab.com%2Fcmdevs%2FColonialMarines%2F-%2Fissues%2F10634&amp;user_id=4704022">Report abuse</a>

<a class="d-none d-sm-none d-md-block btn btn-grouped btn-success btn-inverted" title="New issue" id="new_issue_link" href="/cmdevs/ColonialMarines/-/issues/new">New issue
</a></div>
</div>
<div class="issue-details issuable-details">
<div class="detail-page-description content-block">
<script id="js-issuable-app-initial-data" type="application/json">{&quot;endpoint&quot;:&quot;/cmdevs/ColonialMarines/-/issues/10634&quot;,&quot;updateEndpoint&quot;:&quot;/cmdevs/ColonialMarines/-/issues/10634.json&quot;,&quot;canUpdate&quot;:false,&quot;canDestroy&quot;:false,&quot;issuableRef&quot;:&quot;#10634&quot;,&quot;markdownPreviewPath&quot;:&quot;/cmdevs/ColonialMarines/preview_markdown&quot;,&quot;markdownDocsPath&quot;:&quot;/help/user/markdown&quot;,&quot;lockVersion&quot;:0,&quot;issuableTemplateNamesPath&quot;:&quot;/cmdevs/ColonialMarines/description_templates/names/issue&quot;,&quot;initialTitleHtml&quot;:&quot;[Suggestion] [XSS/MOBA Branch] Removal of Sentries and other defensive emplacements&quot;,&quot;initialTitleText&quot;:&quot;[Suggestion] [XSS/MOBA Branch] Removal of Sentries and other defensive emplacements&quot;,&quot;initialDescriptionHtml&quot;:&quot;\u003ch4 data-sourcepos=\&quot;1:1-1:12\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003ca id=\&quot;user-content-details\&quot; class=\&quot;anchor\&quot; href=\&quot;#details\&quot; aria-hidden=\&quot;true\&quot;\u003e\u003c/a\u003eDetails\u003c/h4\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;2:1-2:111\&quot; dir=\&quot;auto\&quot;\u003eRemove sentries, flags and other defensive emplacements excepting cade upgrades from the new structures update.\u003c/p\u003e\u0026#x000A;\u003ch4 data-sourcepos=\&quot;5:1-5:13\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003ca id=\&quot;user-content-benefits\&quot; class=\&quot;anchor\&quot; href=\&quot;#benefits\&quot; aria-hidden=\&quot;true\&quot;\u003e\u003c/a\u003eBenefits\u003c/h4\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;6:1-6:667\&quot; dir=\&quot;auto\&quot;\u003eSentries and flags cause monumental amounts of lag which is reason enough to remove them. Also, sentries allow for a marine constant playstyle of turtling and hiding behind barricades - this isn&#39;t fun for anyone, really. Marines get to hug cades and plink xenos who just run away and heal, xenos have to bash their skulls against a barricade until the sentries run out of ammo. Last MOBA test there were \u003cstrong\u003etwenty six\u003c/strong\u003e sentries placed on the map, which were promptly all removed at the same time by the testing developer - and the mass lag instantly cleared, although it sort of returned to this laggy state later on due to the high pop and the round lasting so long.\u003c/p\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;8:1-8:529\&quot; dir=\&quot;auto\&quot;\u003eMy personal opinion (which is just my opinion, but nonetheless...) that I would wager most people agree with, is that marine offensive and xeno defensive gameplay is the most fun duality - as xeno you get to use all of your abilities and tactics such as flanking, etc as well as cooperate with other xenos to frag marines, meanwhile as marine you don&#39;t have any cades holding you back, you&#39;re just pushing and shooting at bugs as they pop up, able to actually push in and confirm kills rather than letting them walk off and heal.\u003c/p\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;10:1-10:256\&quot; dir=\&quot;auto\&quot;\u003eWhen xenos are defending, whatever the outcome is, the round will end at a reasonable time. Should they fail, they get wiped out and the round ends. Should they succeed, marines are routed with a counterattack and must head up to the ship to end the round.\u003c/p\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;12:1-12:581\&quot; dir=\&quot;auto\&quot;\u003eHowever, when marines adopt a defensive strategy which this update enables, the round can go on for hours at an end and cause ridiculous amounts of lag - as I understand it, the ideal round length according to Neth himself is 90-120m and quite simply, that isn&#39;t what&#39;s happening anymore. Most rounds in the test are spent as boring stalemates with marines turtling behind some 20odd sentries, meanwhile all the robust marines get bored and go off to do their own thing and promptly die. Xenos can&#39;t break through, marines farm DEFCON 2 and get the LTB tank from hell, or the nuke.\u003c/p\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;14:1-14:840\&quot; dir=\&quot;auto\&quot;\u003eI don&#39;t see any reason why the cade upgrade variants can&#39;t stay, and I think allowing collection of plasmagas for DEFCON would be fine IF marines \u003cstrong\u003edidn&#39;t\u003c/strong\u003e get an LZ resource node - they&#39;d still have to establish an FOB, but if they want that sweet DEFCON they&#39;ll actually have to set out and establish an outpost at a node - then, I think they should have to take plasmagas canisters from the node up to the ship, so then they&#39;d have to establish a supply line...etc. A steady supply line of plasmagas should allow for DEFCON 1 by the second hour mark, and if xenos don&#39;t want to get mcnuked they should be able to storm and take this outpost for themselves, but they shouldn&#39;t be \u003cem\u003eforced\u003c/em\u003e to, and should they choose to attack it, it shouldn&#39;t be manned exclusively by a legion of sentries, but rather by an actual marine fireteam or two.\u003c/p\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;16:1-16:329\&quot; dir=\&quot;auto\&quot;\u003eAn interesting twist on the above idea would be to disallow placing cades and resin buildings near plasma nodes, so that would force small to medium sized skirmishes to happen over control of the nodes without either side being able to establish a permanent presence on it - but regardless that&#39;s not the main point of the issue.\u003c/p\u003e&quot;,&quot;initialDescriptionText&quot;:&quot;#### Details\nRemove sentries, flags and other defensive emplacements excepting cade upgrades from the new structures update.\n\n\n#### Benefits\nSentries and flags cause monumental amounts of lag which is reason enough to remove them. Also, sentries allow for a marine constant playstyle of turtling and hiding behind barricades - this isn&#39;t fun for anyone, really. Marines get to hug cades and plink xenos who just run away and heal, xenos have to bash their skulls against a barricade until the sentries run out of ammo. Last MOBA test there were **twenty six** sentries placed on the map, which were promptly all removed at the same time by the testing developer - and the mass lag instantly cleared, although it sort of returned to this laggy state later on due to the high pop and the round lasting so long.\n\nMy personal opinion (which is just my opinion, but nonetheless...) that I would wager most people agree with, is that marine offensive and xeno defensive gameplay is the most fun duality - as xeno you get to use all of your abilities and tactics such as flanking, etc as well as cooperate with other xenos to frag marines, meanwhile as marine you don&#39;t have any cades holding you back, you&#39;re just pushing and shooting at bugs as they pop up, able to actually push in and confirm kills rather than letting them walk off and heal.\n\nWhen xenos are defending, whatever the outcome is, the round will end at a reasonable time. Should they fail, they get wiped out and the round ends. Should they succeed, marines are routed with a counterattack and must head up to the ship to end the round.\n\nHowever, when marines adopt a defensive strategy which this update enables, the round can go on for hours at an end and cause ridiculous amounts of lag - as I understand it, the ideal round length according to Neth himself is 90-120m and quite simply, that isn&#39;t what&#39;s happening anymore. Most rounds in the test are spent as boring stalemates with marines turtling behind some 20odd sentries, meanwhile all the robust marines get bored and go off to do their own thing and promptly die. Xenos can&#39;t break through, marines farm DEFCON 2 and get the LTB tank from hell, or the nuke.\n\nI don&#39;t see any reason why the cade upgrade variants can&#39;t stay, and I think allowing collection of plasmagas for DEFCON would be fine IF marines **didn&#39;t** get an LZ resource node - they&#39;d still have to establish an FOB, but if they want that sweet DEFCON they&#39;ll actually have to set out and establish an outpost at a node - then, I think they should have to take plasmagas canisters from the node up to the ship, so then they&#39;d have to establish a supply line...etc. A steady supply line of plasmagas should allow for DEFCON 1 by the second hour mark, and if xenos don&#39;t want to get mcnuked they should be able to storm and take this outpost for themselves, but they shouldn&#39;t be *forced* to, and should they choose to attack it, it shouldn&#39;t be manned exclusively by a legion of sentries, but rather by an actual marine fireteam or two.\n\nAn interesting twist on the above idea would be to disallow placing cades and resin buildings near plasma nodes, so that would force small to medium sized skirmishes to happen over control of the nodes without either side being able to establish a permanent presence on it - but regardless that&#39;s not the main point of the issue.&quot;,&quot;initialTaskStatus&quot;:&quot;0 of 0 tasks completed&quot;,&quot;hasClosingMergeRequest&quot;:false,&quot;zoomMeetingUrl&quot;:null,&quot;sentryIssueIdentifier&quot;:null,&quot;projectPath&quot;:&quot;ColonialMarines&quot;,&quot;projectNamespace&quot;:&quot;cmdevs&quot;,&quot;canAdmin&quot;:false}</script>
<div id="js-issuable-app">
<h2 class="title">[Suggestion] [XSS/MOBA Branch] Removal of Sentries and other defensive emplacements</h2>
<div class="description">
<div class="md"><h4 data-sourcepos="1:1-1:12" dir="auto">&#x000A;<a id="user-content-details" class="anchor" href="#details" aria-hidden="true"></a>Details</h4>&#x000A;<p data-sourcepos="2:1-2:111" dir="auto">Remove sentries, flags and other defensive emplacements excepting cade upgrades from the new structures update.</p>&#x000A;<h4 data-sourcepos="5:1-5:13" dir="auto">&#x000A;<a id="user-content-benefits" class="anchor" href="#benefits" aria-hidden="true"></a>Benefits</h4>&#x000A;<p data-sourcepos="6:1-6:667" dir="auto">Sentries and flags cause monumental amounts of lag which is reason enough to remove them. Also, sentries allow for a marine constant playstyle of turtling and hiding behind barricades - this isn't fun for anyone, really. Marines get to hug cades and plink xenos who just run away and heal, xenos have to bash their skulls against a barricade until the sentries run out of ammo. Last MOBA test there were <strong>twenty six</strong> sentries placed on the map, which were promptly all removed at the same time by the testing developer - and the mass lag instantly cleared, although it sort of returned to this laggy state later on due to the high pop and the round lasting so long.</p>&#x000A;<p data-sourcepos="8:1-8:529" dir="auto">My personal opinion (which is just my opinion, but nonetheless...) that I would wager most people agree with, is that marine offensive and xeno defensive gameplay is the most fun duality - as xeno you get to use all of your abilities and tactics such as flanking, etc as well as cooperate with other xenos to frag marines, meanwhile as marine you don't have any cades holding you back, you're just pushing and shooting at bugs as they pop up, able to actually push in and confirm kills rather than letting them walk off and heal.</p>&#x000A;<p data-sourcepos="10:1-10:256" dir="auto">When xenos are defending, whatever the outcome is, the round will end at a reasonable time. Should they fail, they get wiped out and the round ends. Should they succeed, marines are routed with a counterattack and must head up to the ship to end the round.</p>&#x000A;<p data-sourcepos="12:1-12:581" dir="auto">However, when marines adopt a defensive strategy which this update enables, the round can go on for hours at an end and cause ridiculous amounts of lag - as I understand it, the ideal round length according to Neth himself is 90-120m and quite simply, that isn't what's happening anymore. Most rounds in the test are spent as boring stalemates with marines turtling behind some 20odd sentries, meanwhile all the robust marines get bored and go off to do their own thing and promptly die. Xenos can't break through, marines farm DEFCON 2 and get the LTB tank from hell, or the nuke.</p>&#x000A;<p data-sourcepos="14:1-14:840" dir="auto">I don't see any reason why the cade upgrade variants can't stay, and I think allowing collection of plasmagas for DEFCON would be fine IF marines <strong>didn't</strong> get an LZ resource node - they'd still have to establish an FOB, but if they want that sweet DEFCON they'll actually have to set out and establish an outpost at a node - then, I think they should have to take plasmagas canisters from the node up to the ship, so then they'd have to establish a supply line...etc. A steady supply line of plasmagas should allow for DEFCON 1 by the second hour mark, and if xenos don't want to get mcnuked they should be able to storm and take this outpost for themselves, but they shouldn't be <em>forced</em> to, and should they choose to attack it, it shouldn't be manned exclusively by a legion of sentries, but rather by an actual marine fireteam or two.</p>&#x000A;<p data-sourcepos="16:1-16:329" dir="auto">An interesting twist on the above idea would be to disallow placing cades and resin buildings near plasma nodes, so that would force small to medium sized skirmishes to happen over control of the nodes without either side being able to establish a permanent presence on it - but regardless that's not the main point of the issue.</p></div>
<textarea class="hidden js-task-list-field">#### Details
Remove sentries, flags and other defensive emplacements excepting cade upgrades from the new structures update.


#### Benefits
Sentries and flags cause monumental amounts of lag which is reason enough to remove them. Also, sentries allow for a marine constant playstyle of turtling and hiding behind barricades - this isn&#39;t fun for anyone, really. Marines get to hug cades and plink xenos who just run away and heal, xenos have to bash their skulls against a barricade until the sentries run out of ammo. Last MOBA test there were **twenty six** sentries placed on the map, which were promptly all removed at the same time by the testing developer - and the mass lag instantly cleared, although it sort of returned to this laggy state later on due to the high pop and the round lasting so long.

My personal opinion (which is just my opinion, but nonetheless...) that I would wager most people agree with, is that marine offensive and xeno defensive gameplay is the most fun duality - as xeno you get to use all of your abilities and tactics such as flanking, etc as well as cooperate with other xenos to frag marines, meanwhile as marine you don&#39;t have any cades holding you back, you&#39;re just pushing and shooting at bugs as they pop up, able to actually push in and confirm kills rather than letting them walk off and heal.

When xenos are defending, whatever the outcome is, the round will end at a reasonable time. Should they fail, they get wiped out and the round ends. Should they succeed, marines are routed with a counterattack and must head up to the ship to end the round.

However, when marines adopt a defensive strategy which this update enables, the round can go on for hours at an end and cause ridiculous amounts of lag - as I understand it, the ideal round length according to Neth himself is 90-120m and quite simply, that isn&#39;t what&#39;s happening anymore. Most rounds in the test are spent as boring stalemates with marines turtling behind some 20odd sentries, meanwhile all the robust marines get bored and go off to do their own thing and promptly die. Xenos can&#39;t break through, marines farm DEFCON 2 and get the LTB tank from hell, or the nuke.

I don&#39;t see any reason why the cade upgrade variants can&#39;t stay, and I think allowing collection of plasmagas for DEFCON would be fine IF marines **didn&#39;t** get an LZ resource node - they&#39;d still have to establish an FOB, but if they want that sweet DEFCON they&#39;ll actually have to set out and establish an outpost at a node - then, I think they should have to take plasmagas canisters from the node up to the ship, so then they&#39;d have to establish a supply line...etc. A steady supply line of plasmagas should allow for DEFCON 1 by the second hour mark, and if xenos don&#39;t want to get mcnuked they should be able to storm and take this outpost for themselves, but they shouldn&#39;t be *forced* to, and should they choose to attack it, it shouldn&#39;t be manned exclusively by a legion of sentries, but rather by an actual marine fireteam or two.

An interesting twist on the above idea would be to disallow placing cades and resin buildings near plasma nodes, so that would force small to medium sized skirmishes to happen over control of the nodes without either side being able to establish a permanent presence on it - but regardless that&#39;s not the main point of the issue.</textarea>
</div>

</div>
<div class="js-related-issues-root" data-can-add-related-issues="false" data-endpoint="/cmdevs/ColonialMarines/-/issues/10634/links" data-help-path="/help/user/project/issues/related_issues">
<div class="related-issues-block">
<div class="card card-slim">
<div class="card-header panel-empty-heading border-bottom-0">
<h3 class="card-title mt-0 mb-0 h5">
Linked issues
</h3>
</div>
</div>
</div>
</div>

<div data-endpoint="/api/v4/projects/1649459/issues/10634/related_merge_requests" data-project-namespace="cmdevs" data-project-path="ColonialMarines" id="js-related-merge-requests"></div>
</div>
<div class="content-block emoji-block emoji-block-sticky">
<div class="row">
<div class="col-md-12 col-lg-6 js-noteable-awards">
<div class="awards js-awards-block" data-award-url="/cmdevs/ColonialMarines/-/issues/10634/toggle_award_emoji">
<button class="award-control btn disabled has-tooltip js-emoji-btn" data-title="Phillip Murray, Destrok, Hylla is Bae, reuben owen, Call me Arty, Kendrick Mallare, Serra Serra, Pigeon, BurnedSweetPotato, Zachistka, and 9 more." type="button">
<gl-emoji title="thumbs up sign" data-name="thumbsup" data-unicode-version="6.0">👍</gl-emoji>
<span class="award-control-text js-counter">
19
</span>
</button>
<button class="award-control btn disabled has-tooltip js-emoji-btn" data-title="" type="button">
<gl-emoji title="thumbs down sign" data-name="thumbsdown" data-unicode-version="6.0">👎</gl-emoji>
<span class="award-control-text js-counter">
0
</span>
</button>

</div>

</div>
<div class="col-md-12 col-lg-6 new-branch-col">
<div data-notes-filters="{&quot;Show all activity&quot;:0,&quot;Show comments only&quot;:1,&quot;Show history only&quot;:2}" id="js-vue-discussion-filter"></div>

</div>
</div>
</div>
<ul class="nav-tabs nav nav-links" role="tablist">
<li>
<a class="active js-issue-tabs" id="discussion" role="tab" aria-controls="js-discussion" aria-selected="true" data-toggle="tab" data-target="#discussion-tab" href="#discussion-tab">Discussion
<span class="badge badge-pill js-discussions-count"></span>
</a></li>
<li>
<a class="js-issue-tabs" id="designs" role="tab" aria-controls="js-designs" aria-selected="false" data-toggle="tab" data-target="#designs-tab" data-qa-selector="designs_tab_link" href="#designs-tab">Designs
<span class="badge badge-pill js-designs-count"></span>
</a></li>
</ul>
<div class="tab-content">
<div aria-labelledby="discussion" class="tab-pane show active" id="discussion-tab" role="tabpanel">
<section class="issuable-discussion js-vue-notes-event">
<div data-current-user-data="null" data-noteable-data="{&quot;id&quot;:32555759,&quot;iid&quot;:10634,&quot;description&quot;:&quot;#### Details\nRemove sentries, flags and other defensive emplacements excepting cade upgrades from the new structures update.\n\n\n#### Benefits\nSentries and flags cause monumental amounts of lag which is reason enough to remove them. Also, sentries allow for a marine constant playstyle of turtling and hiding behind barricades - this isn&#39;t fun for anyone, really. Marines get to hug cades and plink xenos who just run away and heal, xenos have to bash their skulls against a barricade until the sentries run out of ammo. Last MOBA test there were **twenty six** sentries placed on the map, which were promptly all removed at the same time by the testing developer - and the mass lag instantly cleared, although it sort of returned to this laggy state later on due to the high pop and the round lasting so long.\n\nMy personal opinion (which is just my opinion, but nonetheless...) that I would wager most people agree with, is that marine offensive and xeno defensive gameplay is the most fun duality - as xeno you get to use all of your abilities and tactics such as flanking, etc as well as cooperate with other xenos to frag marines, meanwhile as marine you don&#39;t have any cades holding you back, you&#39;re just pushing and shooting at bugs as they pop up, able to actually push in and confirm kills rather than letting them walk off and heal.\n\nWhen xenos are defending, whatever the outcome is, the round will end at a reasonable time. Should they fail, they get wiped out and the round ends. Should they succeed, marines are routed with a counterattack and must head up to the ship to end the round.\n\nHowever, when marines adopt a defensive strategy which this update enables, the round can go on for hours at an end and cause ridiculous amounts of lag - as I understand it, the ideal round length according to Neth himself is 90-120m and quite simply, that isn&#39;t what&#39;s happening anymore. Most rounds in the test are spent as boring stalemates with marines turtling behind some 20odd sentries, meanwhile all the robust marines get bored and go off to do their own thing and promptly die. Xenos can&#39;t break through, marines farm DEFCON 2 and get the LTB tank from hell, or the nuke.\n\nI don&#39;t see any reason why the cade upgrade variants can&#39;t stay, and I think allowing collection of plasmagas for DEFCON would be fine IF marines **didn&#39;t** get an LZ resource node - they&#39;d still have to establish an FOB, but if they want that sweet DEFCON they&#39;ll actually have to set out and establish an outpost at a node - then, I think they should have to take plasmagas canisters from the node up to the ship, so then they&#39;d have to establish a supply line...etc. A steady supply line of plasmagas should allow for DEFCON 1 by the second hour mark, and if xenos don&#39;t want to get mcnuked they should be able to storm and take this outpost for themselves, but they shouldn&#39;t be *forced* to, and should they choose to attack it, it shouldn&#39;t be manned exclusively by a legion of sentries, but rather by an actual marine fireteam or two.\n\nAn interesting twist on the above idea would be to disallow placing cades and resin buildings near plasma nodes, so that would force small to medium sized skirmishes to happen over control of the nodes without either side being able to establish a permanent presence on it - but regardless that&#39;s not the main point of the issue.&quot;,&quot;title&quot;:&quot;[Suggestion] [XSS/MOBA Branch] Removal of Sentries and other defensive emplacements&quot;,&quot;time_estimate&quot;:0,&quot;total_time_spent&quot;:0,&quot;human_time_estimate&quot;:null,&quot;human_total_time_spent&quot;:null,&quot;weight&quot;:null,&quot;state&quot;:&quot;opened&quot;,&quot;milestone_id&quot;:null,&quot;updated_by_id&quot;:null,&quot;created_at&quot;:&quot;2020-03-27T20:51:07.980Z&quot;,&quot;updated_at&quot;:&quot;2020-03-29T04:03:41.502Z&quot;,&quot;milestone&quot;:null,&quot;labels&quot;:[],&quot;lock_version&quot;:0,&quot;author_id&quot;:4704022,&quot;confidential&quot;:false,&quot;discussion_locked&quot;:null,&quot;assignees&quot;:[],&quot;due_date&quot;:null,&quot;project_id&quot;:1649459,&quot;moved_to_id&quot;:null,&quot;duplicated_to_id&quot;:null,&quot;web_url&quot;:&quot;/cmdevs/ColonialMarines/-/issues/10634&quot;,&quot;current_user&quot;:{&quot;can_create_note&quot;:false,&quot;can_update&quot;:false,&quot;can_award_emoji&quot;:false},&quot;create_note_path&quot;:&quot;/cmdevs/ColonialMarines/notes?target_id=32555759\u0026target_type=issue&quot;,&quot;preview_note_path&quot;:&quot;/cmdevs/ColonialMarines/preview_markdown?target_id=10634\u0026target_type=Issue&quot;,&quot;is_project_archived&quot;:false}" data-noteable-type="Issue" data-notes-data="{&quot;discussionsPath&quot;:&quot;/cmdevs/ColonialMarines/-/issues/10634/discussions.json&quot;,&quot;registerPath&quot;:&quot;/users/sign_in?redirect_to_referer=yes#register-pane&quot;,&quot;newSessionPath&quot;:&quot;/users/sign_in?redirect_to_referer=yes&quot;,&quot;markdownDocsPath&quot;:&quot;/help/user/markdown&quot;,&quot;quickActionsDocsPath&quot;:&quot;/help/user/project/quick_actions&quot;,&quot;closePath&quot;:&quot;/cmdevs/ColonialMarines/-/issues/10634.json?issue%5Bstate_event%5D=close&quot;,&quot;reopenPath&quot;:&quot;/cmdevs/ColonialMarines/-/issues/10634.json?issue%5Bstate_event%5D=reopen&quot;,&quot;notesPath&quot;:&quot;/cmdevs/ColonialMarines/noteable/issue/32555759/notes&quot;,&quot;prerenderedNotesCount&quot;:10,&quot;lastFetchedAt&quot;:1585476277}" data-target-type="issue" id="js-vue-notes"></div>
</section>

</div>
<div aria-labelledby="designs" class="tab-pane" data-qa-selector="designs_tab_content" id="designs-tab" role="tabpanel">
<div data-issue-iid="10634" data-issue-path="/cmdevs/ColonialMarines/-/issues/10634" data-project-path="cmdevs/ColonialMarines" id="js-design-management"></div>
</div>
</div>

</div>
<aside aria-live="polite" class="js-issuable-sidebar js-right-sidebar right-sidebar right-sidebar-expanded">
<div class="issuable-sidebar">
<div class="block issuable-sidebar-header">
<a aria-label="Toggle sidebar" class="gutter-toggle float-right js-sidebar-toggle has-tooltip" data-boundary="viewport" data-container="body" data-placement="left" href="#" role="button" title="Collapse sidebar">
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-angle-double-right"></i>
</a>
</div>
<form class="issuable-context-form inline-update js-issuable-update" action="/cmdevs/ColonialMarines/-/issues/10634.json" accept-charset="UTF-8" data-remote="true" method="post"><input name="utf8" type="hidden" value="&#x2713;" /><div class="block assignee qa-assignee-block">
<div data-field="issue" id="js-vue-sidebar-assignees">
<div class="title hide-collapsed">
Assignee
<div class="spinner spinner-sm align-bottom"></div>
</div>
</div>
<div class="selectbox hide-collapsed">
<input type="hidden" name="issue[assignee_ids][]" value="0" />
<div class="dropdown "><button class="dropdown-menu-toggle js-user-search js-author-search js-multiselect js-save-user-data" type="button" data-current-user="true" data-iid="10634" data-issuable-type="issue" data-project-id="1649459" data-author-id="4704022" data-field-name="issue[assignee_ids][]" data-issue-update="/cmdevs/ColonialMarines/-/issues/10634.json" data-ability-name="issue" data-null-user="true" data-display="static" data-multi-select="true" data-dropdown-title="Select assignee(s)" data-dropdown-header="Assignee(s)" data-toggle="dropdown"><span class="dropdown-toggle-text ">Select assignee(s)</span><i aria-hidden="true" data-hidden="true" class="fa fa-chevron-down"></i></button><div class="dropdown-menu dropdown-select dropdown-menu-user dropdown-menu-selectable dropdown-menu-author"><div class="dropdown-title"><span>Assign to</span><button class="dropdown-title-button dropdown-menu-close" aria-label="Close" type="button"><i aria-hidden="true" data-hidden="true" class="fa fa-times dropdown-menu-close-icon"></i></button></div><div class="dropdown-input"><input type="search" id="" class="dropdown-input-field qa-dropdown-input-field" placeholder="Search users" autocomplete="off" /><i aria-hidden="true" data-hidden="true" class="fa fa-search dropdown-input-search"></i><i aria-hidden="true" data-hidden="true" role="button" class="fa fa-times dropdown-input-clear js-dropdown-input-clear"></i></div><div class="dropdown-content "></div><div class="dropdown-loading"><i aria-hidden="true" data-hidden="true" class="fa fa-spinner fa-spin"></i></div></div></div>
</div>

</div>


<div class="block milestone" data-qa-selector="milestone_block">
<div class="sidebar-collapsed-icon has-tooltip" data-boundary="viewport" data-container="body" data-html="true" data-placement="left" title="Milestone">
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-clock-o"></i>
<span class="milestone-title collapse-truncated-title">
None
</span>
</div>
<div class="title hide-collapsed">
Milestone
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-spinner fa-spin hidden block-loading"></i>
</div>
<div class="value hide-collapsed">
<span class="no-value">
None
</span>
</div>
<div class="selectbox hide-collapsed">
<input type="hidden" name="issue[milestone_id]" />
<div class="dropdown "><button class="dropdown-menu-toggle js-milestone-select js-extra-options" type="button" data-show-no="true" data-field-name="issue[milestone_id]" data-project-id="1649459" data-issuable-id="32555759" data-milestones="/cmdevs/ColonialMarines/-/milestones.json" data-ability-name="issue" data-issue-update="/cmdevs/ColonialMarines/-/issues/10634.json" data-use-id="true" data-default-no="true" data-null-default="true" data-display="static" data-toggle="dropdown"><span class="dropdown-toggle-text ">Milestone</span><i aria-hidden="true" data-hidden="true" class="fa fa-chevron-down"></i></button><div class="dropdown-menu dropdown-select dropdown-menu-selectable"><div class="dropdown-title"><span>Assign milestone</span><button class="dropdown-title-button dropdown-menu-close" aria-label="Close" type="button"><i aria-hidden="true" data-hidden="true" class="fa fa-times dropdown-menu-close-icon"></i></button></div><div class="dropdown-input"><input type="search" id="" class="dropdown-input-field qa-dropdown-input-field" placeholder="Search milestones" autocomplete="off" /><i aria-hidden="true" data-hidden="true" class="fa fa-search dropdown-input-search"></i><i aria-hidden="true" data-hidden="true" role="button" class="fa fa-times dropdown-input-clear js-dropdown-input-clear"></i></div><div class="dropdown-content "></div><div class="dropdown-loading"><i aria-hidden="true" data-hidden="true" class="fa fa-spinner fa-spin"></i></div></div></div>
</div>
</div>
<div class="block" id="issuable-time-tracker">
<!-- / Fallback while content is loading -->
<div class="title hide-collapsed">
Time tracking
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-spinner fa-spin"></i>
</div>
</div>
<div class="block due_date">
<div class="sidebar-collapsed-icon has-tooltip" data-boundary="viewport" data-container="body" data-html="true" data-placement="left" title="Due date">
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-calendar"></i>
<span class="js-due-date-sidebar-value">
None
</span>
</div>
<div class="title hide-collapsed">
Due date
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-spinner fa-spin hidden block-loading"></i>
</div>
<div class="value hide-collapsed">
<span class="value-content">
<span class="no-value">
None
</span>
</span>
</div>
</div>
<div class="block labels">
<div class="sidebar-collapsed-icon js-sidebar-labels-tooltip" data-boundary="viewport" data-container="body" data-placement="left" title="Labels">
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-tags"></i>
<span>
0
</span>
</div>
<div class="title hide-collapsed">
Labels
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-spinner fa-spin hidden block-loading"></i>
</div>
<div class="dont-hide hide-collapsed issuable-show-labels value" data-qa-selector="labels_block">
<span class="no-value">
None
</span>
</div>
<div class="selectbox hide-collapsed">
<div class="dropdown">
<button class="dropdown-menu-toggle js-label-select js-multiselect js-label-sidebar-dropdown" data-ability-name="issue" data-default-label="Labels" data-display="static" data-field-name="issue[label_names][]" data-issue-update="/cmdevs/ColonialMarines/-/issues/10634.json" data-labels="/cmdevs/ColonialMarines/-/labels.json?include_ancestor_groups=true" data-namespace-path="cmdevs" data-project-path="ColonialMarines" data-scoped-labels="true" data-scoped-labels-documentation-link="/help/user/project/labels.md#scoped-labels-premium" data-show-any="true" data-show-no="true" data-toggle="dropdown" type="button">
<span class="dropdown-toggle-text is-default">
Labels
</span>
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-chevron-down"></i>
</button>
<div class="dropdown-menu dropdown-select dropdown-menu-paging qa-dropdown-menu-labels dropdown-menu-labels dropdown-menu-selectable dropdown-extended-height">
<div class="dropdown-page-one">
<div class="dropdown-title"><span>Assign labels</span><button class="dropdown-title-button dropdown-menu-close" aria-label="Close" type="button"><i aria-hidden="true" data-hidden="true" class="fa fa-times dropdown-menu-close-icon"></i></button></div>
<div class="dropdown-input"><input type="search" id="" class="dropdown-input-field qa-dropdown-input-field" placeholder="Search" autocomplete="off" /><i aria-hidden="true" data-hidden="true" class="fa fa-search dropdown-input-search"></i><i aria-hidden="true" data-hidden="true" role="button" class="fa fa-times dropdown-input-clear js-dropdown-input-clear"></i></div>
<div class="dropdown-content"></div>
<div class="dropdown-footer"><ul class="dropdown-footer-list">
<li>
<a data-is-link="true" href="/cmdevs/ColonialMarines/-/labels">View project labels
</a></li>
</ul>
</div><div class="dropdown-loading"><i aria-hidden="true" data-hidden="true" class="fa fa-spinner fa-spin"></i></div>
</div>

</div>
</div>
</div>
</div>
<div class="js-sidebar-weight-entry-point"></div>

<script id="js-confidential-issue-data" type="application/json">{"is_confidential":false,"is_editable":null}</script>
<div id="js-confidential-entry-point"></div>
<script id="js-lock-issue-data" type="application/json">{"is_locked":false,"is_editable":null}</script>
<div id="js-lock-entry-point"></div>
<div class="js-sidebar-participants-entry-point"></div>
<div class="block project-reference">
<div class="sidebar-collapsed-icon dont-change-state">
<button class="btn btn-clipboard btn-transparent" data-toggle="tooltip" data-placement="left" data-container="body" data-title="Copy reference" data-boundary="viewport" data-clipboard-text="cmdevs/ColonialMarines#10634" type="button" title="Copy reference" aria-label="Copy reference"><svg><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#copy-to-clipboard"></use></svg></button>
</div>
<div class="cross-project-reference hide-collapsed">
<span>
Reference:
<cite title="cmdevs/ColonialMarines#10634">
cmdevs/ColonialMarines#10634
</cite>
</span>
<button class="btn btn-clipboard btn-transparent" data-toggle="tooltip" data-placement="left" data-container="body" data-title="Copy reference" data-boundary="viewport" data-clipboard-text="cmdevs/ColonialMarines#10634" type="button" title="Copy reference" aria-label="Copy reference"><svg><use xlink:href="https://gitlab.com/assets/icons-91a4dccf30ab8eaba275191ffd3b52d0d5c59311adf85eddc5464e8e3eca5360.svg#copy-to-clipboard"></use></svg></button>
</div>
</div>
</form><script class="js-sidebar-options" type="application/json">{"endpoint":"/cmdevs/ColonialMarines/-/issues/10634.json?serializer=sidebar_extras","toggleSubscriptionEndpoint":"/cmdevs/ColonialMarines/-/issues/10634/toggle_subscription","moveIssueEndpoint":"/cmdevs/ColonialMarines/-/issues/10634/move","projectsAutocompleteEndpoint":"/autocomplete/projects?project_id=1649459","editable":null,"currentUser":null,"rootPath":"/","fullPath":"cmdevs/ColonialMarines","iid":10634,"timeTrackingLimitToHours":false,"weightOptions":["None",0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"weightNoneValue":"None"}</script>
</div>
</aside>


</div>
</div>
</div>
</div>




</body>
</html>

